const $ = jQuery;

const {
    overlayI18n,
    resetI18n,
} = cmSettings;

class CodeMirror {
    initialize() {

        // Initialize CodeMirror
        $('li[data-field-group="filterJSON"]').on('click', function () {
            $('#filterJSON textarea:not(#ysd-mapi_filters_default)').each(function () {
                wp.codeEditor.initialize($(this), cmSettings);
            });
            $('li[data-field-group="filterJSON"]').unbind('click');
            $('.CodeMirror.CodeMirror-wrap').append('<div class="CodeMirror-overlay">' + overlayI18n + '</div>');
        });

        // Active CodeMirror
        $('.mapi-textarea').on('click', function () {
            $(this).find('.CodeMirror-overlay').remove();
        });

        // Reset CodeMirror JSON
        $('#filterJSON #resetFilterJSON').on('click', function (e) {
            e.preventDefault();
            if (confirm(resetI18n)) {
                var filtersDefaultValue = $('#filterJSON #ysd-mapi_filters_default').val();
                if (filtersDefaultValue.length != '') {
                    document.querySelector('.CodeMirror').CodeMirror.setValue(filtersDefaultValue);
                }
            }
            return false;
        });

    }
}

export default CodeMirror;