const $ = jQuery;

const {
    ajaxurl,
    updateI18n,
    resetAllI18n,
} = cmSettings;

class DashboardButtons {

    constructor() {
        this.updateMapiNow();
        // this.restoreAllDefaults();
    }

    updateMapiNow() {

        $('#updateMapiNow').on('click', function (e) {
            e.preventDefault();
            if (confirm(updateI18n)) {
                // AJAX Run MAPI Cron
                $.ajax({
                    type: 'POST',
                    url: ajaxurl,
                    data: {
                        'action': 'ajaxrunmapicron',
                        'nonce': $('#updateMapiNow').data('nonce'),
                    },
                    success: function (response) {
                        // console.log(response);
                    },
                });
            }
            return false;
        });

    }

    restoreAllDefaults() {

        $('#restoreAllDefaults').on('click', function (e) {
            e.preventDefault();
            if (confirm(resetAllI18n)) {
                // if confirmed
            }
            return false;
        });

    }
}

export default DashboardButtons;