import TabbedMetaBox from "./modules/TabbedMetaBox.js";
import InputValidation from "./modules/InputValidation.js";
import Interval from "./modules/Interval.js";
import CodeMirror from "./modules/CodeMirror.js";
import DashboardButtons from "./modules/DashboardButtons.js";

// Instantiate a new object using our modules / classes
let tabbedMetaBox = new TabbedMetaBox();
let inputValidation = new InputValidation();
let interval = new Interval();
let codeMirror = new CodeMirror();
let dashboardButtons = new DashboardButtons();

codeMirror.initialize();