export const property_filter_toggle = $ => {

    /*
     * FILTER TOGGLE
     */

    // Toggle Open
    $("#filterSettingFilterToggle").click(function () {
        $(".mapi-sidebar-area").toggleClass("is-extended");
        $("body").toggleClass("sidebar-is-extended");
    });

    // Toggle Close
    $("#closeMapiSidebar").click(function () {
        $(".mapi-sidebar-area").toggleClass("is-extended");
        $("body").toggleClass("sidebar-is-extended");
    });

    function getNumUsedFormFields() {

        // Create a query string
        const queryString = window.location.search;

        // Create an URLSearchParams object
        const searchParams = new URLSearchParams(queryString);

        // Log the keys
        var numOfKeys = [];
        searchParams.forEach(function (value, key) {
            numOfKeys.push(key);
        });
        // console.log(numOfKeys.length);

        // Output The Amount
        $('.filter-count__number').text(numOfKeys.length);
    }

    $(document).ready(function () {
        getNumUsedFormFields();
    });

};