<?php

/*
 * Register widget areas
 */
function ysd_mapi_add_widget_areas() {

    // Mapi Archive Sidebar
	register_sidebar(array(
		'name'          =>  esc_html__('Mapi Archive Sidebar', 'ysd-mapi'),
		'id'            =>  'mapi-archive-sidebar',
		'description'   =>  esc_html__('Add widgets here.', 'ysd-mapi'),
		'before_widget' =>  '<section id="%1$s" class="c-widget %2$s">',
		'after_widget'  =>  '</section>',
		'before_title'  =>  '<h3 class="c-widget-title">',
		'after_title'   =>  '</h3>',
    ));

    // Mapi Single Sidebar
	register_sidebar(array(
		'name'          =>  esc_html__('Mapi Single Sidebar', 'ysd-mapi'),
		'id'            =>  'mapi-single-sidebar',
		'description'   =>  esc_html__('Add widgets here.', 'ysd-mapi'),
		'before_widget' =>  '<section id="%1$s" class="c-widget %2$s">',
		'after_widget'  =>  '</section>',
		'before_title'  =>  '<h3 class="c-widget-title">',
		'after_title'   =>  '</h3>',
    ));

}
add_action( 'widgets_init', 'ysd_mapi_add_widget_areas' );