<?php

if ( ! class_exists( 'Mapi_Property_Filter_Toggle' ) ) {

    class Mapi_Property_Filter_Toggle {

        public function __construct() {
            $this->property_filter_toggle();
        }
        
        /*
         * Property Filter toggle
         */
        public function property_filter_toggle() {

            if ( true != get_option( 'ysd-mapi_archive_display_filter_toggle', true) ) {
                return;
            };

            // Filter Data
            $filter_count = 0;
            ?>
            
            <div id="filterSettingFilterToggle" class="filter-setting__filter-toggle">
                <span class="filter-count__number"><?php echo $filter_count ?></span>
                <span class="filter-count__label"><?php $filter_count !== 1 ? _e('filters', YSD_MAPI_TEXT_DOMAIN) : _e('filter', YSD_MAPI_TEXT_DOMAIN); ?></span>
            </div>

            <?php
        }

    }

}