<?php

if ( ! class_exists( 'Mapi_Property_Orderby' ) ) {

    class Mapi_Property_Orderby {

        public function __construct() {
            $this->property_orderby();
        }
        
        /*
         * Property Orderby
         */
        public function property_orderby() {

            $option = isset($_GET['orderby']) ? $_GET['orderby'] : get_option( 'ysd-mapi_archive_properties_ordering', 'date:desc' );
            ?>
            
            <select form="mapiFilterForm" name="orderby" class="filter-settings__select">
                <option <?php echo isset($_GET['orderby']) && $_GET['orderby'] == 'date:desc' ? 'selected' : '' ?> data-text="<?php _e( 'Date <small>(descending)</small>', YSD_MAPI_TEXT_DOMAIN ); ?>" value="date:desc" <?php echo selected( $option, 'date:desc', false ); ?>>
                    <?php _e( 'Date (descending)', YSD_MAPI_TEXT_DOMAIN ); ?>
                </option>
                <option <?php echo isset($_GET['orderby']) && $_GET['orderby'] == 'date:asc' ? 'selected' : '' ?> data-text="<?php _e( 'Date <small>(ascending)</small>', YSD_MAPI_TEXT_DOMAIN ); ?>" value="date:asc" <?php echo selected( $option, 'date:asc', false ); ?>>
                    <?php _e( 'Date (ascending)', YSD_MAPI_TEXT_DOMAIN ); ?>
                </option>
                <option <?php echo isset($_GET['orderby']) && $_GET['orderby'] == 'sale_status:desc' ? 'selected' : '' ?> data-text="<?php _e( 'Status <small>(descending)</small>', YSD_MAPI_TEXT_DOMAIN ); ?>" value="sale_status:desc" <?php echo selected( $option, 'sale_status:desc', false ); ?>>
                    <?php _e( 'Status (descending)', YSD_MAPI_TEXT_DOMAIN ); ?>
                </option>
                <option <?php echo isset($_GET['orderby']) && $_GET['orderby'] == 'sale_status:asc' ? 'selected' : '' ?> data-text="<?php _e( 'Status <small>(ascending)</small>', YSD_MAPI_TEXT_DOMAIN ); ?>" value="sale_status:asc" <?php echo selected( $option, 'sale_status:asc', false ); ?>>
                    <?php _e( 'Status (ascending)', YSD_MAPI_TEXT_DOMAIN ); ?>
                </option>
                <option <?php echo isset($_GET['orderby']) && $_GET['orderby'] == 'price:desc' ? 'selected' : '' ?> data-text="<?php _e( 'Price <small>(descending)</small>', YSD_MAPI_TEXT_DOMAIN ); ?>" value="price:desc" <?php echo selected( $option, 'price:desc', false ); ?>>
                    <?php _e( 'Price (descending)', YSD_MAPI_TEXT_DOMAIN ); ?>
                </option>
                <option <?php echo isset($_GET['orderby']) && $_GET['orderby'] == 'price:asc' ? 'selected' : '' ?> data-text="<?php _e( 'Price <small>(ascending)</small>', YSD_MAPI_TEXT_DOMAIN ); ?>" value="price:asc" <?php echo selected( $option, 'price:asc', false ); ?>>
                    <?php _e( 'Price (ascending)', YSD_MAPI_TEXT_DOMAIN ); ?>
                </option>
            </select>
            
            <?php
            $orderby = $option;
            session_start();
            $_SESSION['orderby'] = $orderby;
        }

    }

}