<?php

if ( ! class_exists( 'YSD_Mapi_Property_Agency_Shortcode' ) ) {

    class YSD_Mapi_Property_Agency_Shortcode {

        public function __construct() {
            add_shortcode( 'mapi_property_agency', array( $this, 'mapi_property_agency_shortcode' ) );
        }
        
        /*
        * Property Office
        */
        public static function mapi_property_agency_shortcode($atts) {
            $options = shortcode_atts(
                array(
                    'class' => '',
                ), $atts
            );
        
            $output = $link = '';

            $term = get_the_terms( get_queried_object_id(), 'agency' );
            $link = !empty($term[0]) ? get_term_link( $term[0]->slug, 'agency' ) : '';
            $description = !empty($term[0]) ? $term[0]->description : '';
            
            $img_id = get_field('agency_logo', 'agency_'. $term[0]->term_id);

            if ( $img_id ) {
                $image_agency = wp_get_attachment_image( $img_id['ID'], 'full', false);
            }else{
                $image_agency = '';
            }
            $thumbID = get_post_thumbnail_id(get_queried_object_id());
            $image = $thumbID ? wp_get_attachment_image( $thumbID, 'mapi_masonry_medium') : '';
        
            $content = __( 'More of these agency', YSD_MAPI_TEXT_DOMAIN );

            if($link){
                $output .= '<div class="agency-card">';
                    $output .= '<div class="agency-card--agency-image">'. $image_agency .'</div>';
                    $output .= '<div class="agency-card--image">'. $image .'</div>';
                    $output .= '<div class="agency-card--description">'. $description .'</div>';
                    $output .= '<div class="agency-card--link"><a class="" href="'. $link .'">'. $content .'</a></div>';
                $output .= '</div>';
            }

            return $output;
        }
    }
}
new YSD_Mapi_Property_Agency_Shortcode();