<?php

if ( ! class_exists( 'YSD_Mapi_Property_Data_Shortcode' ) ) {

    class YSD_Mapi_Property_Data_Shortcode {

        public function __construct() {
            add_shortcode( 'mapi_property_data', array( $this, 'mapi_property_data_shortcode' ) );
        }
        
        /*
        * Property Data
        */
        public static function mapi_property_data_shortcode($atts) {
            $options = shortcode_atts(
                array(
                    'class'         => '',
                ),
                $atts
            );

            $output = '';

            if ( class_exists( 'YSD_Mapi_Property_Data_Tables' ) ) {

                $data_tables = new YSD_Mapi_Property_Data_Tables();

                $output .= '<section class="property-section property-data">';
                    $output .= '<h2 class="property-section-title">' . __( 'Features', YSD_MAPI_TEXT_DOMAIN ) . '</h2>';
                    $output .= '<div class="property-tables">';
                        $output .= $data_tables->init();
                    $output .= '</div>';
                $output .= '</section>';
            }

            $templatera = get_option( 'ysd-mapi_single_template_hooks' );
            if ( 'disabled' != $templatera ) {
                echo $output;
            } else {
                return $output;
            }

        }

    }

}
new YSD_Mapi_Property_Data_Shortcode();