<?php

if ( ! class_exists( 'YSD_Mapi_Property_Next_Page_Shortcode' ) ) {

    class YSD_Mapi_Property_Next_Page_Shortcode {

        public function __construct() {
            add_shortcode( 'mapi_next_property', array( $this, 'mapi_property_next_page_shortcode' ) );
        }
        
        /*
        * Property Next Page
        */
        public static function mapi_property_next_page_shortcode($atts) {
            // Get the orederby status of the archive page
            session_start();
            $orderby_archive = $_SESSION['orderby'];

            // Split orderby and order 
            $orderby_arr = explode(":", $orderby_archive);
            $orderby = $orderby_arr[0];
            $order = $orderby_arr[1];

            $atts = shortcode_atts(
                array(
                    'class' => '',
                ),
                $atts
            );
            
            if($orderby == 'date'){
                $args = array(
                    'post_type' => 'property',
                    'posts_per_page' => -1,
                    'orderby' => $orderby,
                    'order' => $order,
                );
            }else{
                $args = array(
                    'post_type' => 'property',
                    'posts_per_page' => -1,
                    'orderby' => 'meta_value_num',
                    'order' => $order,
                    'meta_key' => $orderby
                );
            }

            $button = '';

            // Get all property posts with the right order
            $query = new WP_Query($args);
            $posts = $query->get_posts();

            $postslength = count($posts);
            $property_id = get_queried_object_id();
            
            // Get the right property and show the next property
            for($x = 0; $x < $postslength; $x++){
                if($posts[$x]->ID == $property_id){                    
                    // $link = $posts[$x+1]->guid;
                    $post_id = $posts[$x+1]->ID;
                    $link = get_the_permalink($post_id);
                    $next_property = $posts[$x+1]->post_title;
                    
                    if(empty($next_property)){
                        $button = '<div style="display:none;"></div>';
                    }
                }
            }

            $button .= sprintf(
                '<a class="property-next__title" href="%s">%s</a>',
                $link,
                __( 'Next property', YSD_MAPI_TEXT_DOMAIN )
            );

            $output = '<div class="property-next">'. $button .'</div>';

            $templatera = get_option( 'ysd-mapi_single_template_hooks' );
            if ( 'disabled' != $templatera ) {
                echo $output;
            } else {
                return $output;
            }
        }
    }
}
new YSD_Mapi_Property_Next_Page_Shortcode();