<?php

if ( ! class_exists( 'YSD_Mapi_Property_Previous_Page_Shortcode' ) ) {

    class YSD_Mapi_Property_Previous_Page_Shortcode {

        public function __construct() {
            add_shortcode( 'mapi_prev_page', array( $this, 'mapi_property_prev_page_shortcode' ) );
        }
        
        /*
        * Property Previous Page
        */
        public static function mapi_property_prev_page_shortcode($atts) {
            $atts = shortcode_atts(
                array(
                    'class' => '',
                ),
                $atts
            );
            
            $output = '';

            $icon = '<svg aria-hidden="true" focusable="false" data-prefix="fal" data-icon="fa-arrow-long" role="img" class="svg-inline--fa fa-arrow-long fa-w-16" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512"><path d="M148.7 411.3l-144-144C1.563 264.2 0 260.1 0 256s1.562-8.188 4.688-11.31l144-144c6.25-6.25 16.38-6.25 22.62 0s6.25 16.38 0 22.62L54.63 240H496C504.8 240 512 247.2 512 256s-7.156 16-16 16H54.63l116.7 116.7c6.25 6.25 6.25 16.38 0 22.62S154.9 417.6 148.7 411.3z"/></svg>';

            $link = get_post_type_archive_link( 'property' );

            $output .= '<div class="single-property-previous">';
                $output .= '<a class="single-property-previous__link" href="'. $link .'">';
                    $output .= (!empty($icon)) ? '<span class="single-property-previous__icon">'. $icon .'</span>' : '';
                    $output .= '<span class="single-property-previous__text">'. __( ' Back to overview', YSD_MAPI_TEXT_DOMAIN ). '</span>';
                $output .= '</a>';
            $output .= '</div>';

            echo $output;
        }
    }
}
new YSD_Mapi_Property_Previous_Page_Shortcode();