<?php
/**
 * The template for displaying all properties.
 *
 * @see https://codex.wordpress.org/Template_Hierarchy
 */
get_header(); ?>

<?php do_action( 'mapi_properties_before_wrapper' ); ?>

    <?php do_action( 'mapi_before_properties_main' ); ?>

    <?php
        do_action( 'mapi_before_properties_loop' );
        if ( have_posts() ) {
            
            /**
             * Hook: mapi_properties_loop.
             *
             * @hooked mapi_properties_loop_header - 10
             * @hooked mapi_properties_loop_content - 20
             * @hooked mapi_properties_loop_footer - 30
             */
            do_action( 'mapi_properties_loop' );
        }
        do_action( 'mapi_after_properties_loop' );
    ?>

    <?php do_action( 'mapi_after_properties_main' ); ?>
    
    <?php do_action( 'mapi_properties_sidebar' ); ?>

<?php do_action( 'mapi_properties_after_wrapper' ); ?>

<?php
get_footer();