<?php get_header(); ?>

<?php if ( 'disabled' != get_option( 'ysd-mapi_single_template_hooks', 'enabled' ) ) : ?>

    <?php do_action( 'mapi_property_before_wrapper' ); ?>

        <article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
            
            <header class="entry-header">
                <?php do_action( 'property_single_header' ); ?>
            </header><!-- .entry-header -->

            <div class="entry-content">

                <?php do_action( 'mapi_property_start' ); ?>
                
                    <?php do_action( 'mapi_property_main' ); ?>

                    <?php do_action( 'mapi_property_side' ); ?>

                <?php do_action( 'mapi_property_end' ); ?>

            </div><!-- .entry-content -->

            <footer class="entry-footer">
                <?php do_action( 'property_single_footer' ); ?>
            </footer><!-- .entry-footer -->

        </article>

    <?php do_action( 'mapi_property_after_wrapper' ); ?>

<?php else: ?>

    <?php do_action( 'mapi_property_alternative_content' ); ?>

<?php endif; ?>

<?php get_footer(); ?>