<?php

namespace ysdmapi\includes;

require YSD_MAPI_PLUGIN_PATH . 'libraries/plugin-update-checker/plugin-update-checker.php';

/**
 * Updates the plugin when needed
 * 
 * @since      1.0.0
 *
 * @package    ysdmapi
 * @subpackage ysdmapi/includes
 */
Class UpdateChecker
{
    private $myUpdateChecker;

    public function __construct()
    {
        $this->myUpdateChecker = \Puc_v4_Factory::buildUpdateChecker(
            'https://bitbucket.org/yourstyledesign/ysd-mapi/',
            YSD_MAPI_PLUGIN_PATH . 'ysd-mapi.php',
            'ysd-mapi'
        );
    }

    public function start()
    {
        // Optional: If you're using a private repository, create an OAuth consumer
        // and set the authentication credentials like this:
        // Note: For now you need to check "This is a private consumer" when
        // creating the consumer to work around #134:
        // https://github.com/YahnisElsts/plugin-update-checker/issues/134
        $this->myUpdateChecker->setAuthentication(array(
            'consumer_key' => '8pSdMEB2aLsVQtMKus',
            'consumer_secret' => 'tdSXhWaDjuWJvUy4yVpyrGUrFaaSueBU',
        ));

        // Optional: Set the branch that contains the stable release.
        $this->myUpdateChecker->setBranch('master');
    }
}