<?php 
$field = $data['field']; 

$args = array(
    'post_type' => 'attachment',
    'posts_per_page' => -1,
    'post_status' => 'any',
    'post_parent' => $data['post']->ID,
    'orderby' => 'date',
    'order' => 'ASC',
);

$disabled = '';
$brochures = get_posts( $args );
// Disable input field if there is already a brochure
if ( isset($brochures) && is_array($brochures) ) {
    foreach ( $brochures as $brochure ) {
        if($brochure->post_excerpt == "SOURCE_PROPERTY_DOCUMENT"){
            $disabled = 'disabled';
        } else{
            $disabled = '';
        }
    }
}

?>

<div class="mapi-video-url-field mapi-default-field">
    <?php include YSD_MAPI_CUSTOM_FIELDS_COMPONENTS . '/label.php' ?>
    <input id="<?= $field->id ?>" type="text" value="<?= esc_attr($field->get_value()); ?>" name="<?= $field->id ?>" <?= $disabled ?>>
    <?php 
        if($disabled == 'disabled'){ ?>
            <span style="grid-column: 2;"><?php _e( 'You have already a brochure.', YSD_MAPI_TEXT_DOMAIN ); ?></span> 
        <?php } ?>
</div>