<?php 
$field = $data['field'];

$args = array(
    'post_type' => 'attachment',
    'posts_per_page' => -1,
    'post_status' => 'any',
    'post_parent' => $data['post']->ID,
    'orderby' => 'date',
    'order' => 'ASC',
);

$attachments = get_posts($args);
$empty_brochure = true;
?>

<div class="mapi-videos-field">
    <?php include YSD_MAPI_CUSTOM_FIELDS_COMPONENTS . '/label.php' ?>

    <?php
        if ( isset($attachments) && is_array($attachments) ) {
            if ( !empty($attachments) ) {
                foreach ( $attachments as $brochure ) {
                    // Check for a brochure in Media Library
                    if($brochure->post_excerpt == 'SOURCE_PROPERTY_DOCUMENT'){
                        $value = explode("/", $brochure->post_mime_type);
                        $type = $value[1]; 
                        $empty_brochure = false;
                        ?>
                        <span><?php echo $brochure->post_name . '.' . $type ?></span>
                    <?php } else{
                        $empty_brochure = true;
                    }
                }
            } 
            if($empty_brochure == true){
                _e( 'Sorry, nothing found.', YSD_MAPI_TEXT_DOMAIN );
            }
        }
    ?>
</div>
