<?php $field = $data['field']; ?>

<div class="mapi-default-field">
    <?php include YSD_MAPI_CUSTOM_FIELDS_COMPONENTS . '/label.php' ?>
    
    <input type="text" value="<?= $field->get_value(); ?>" name="<?= $field->id ?>" list="<?= $field->id ?>">

    <datalist id="<?= $field->id ?>">
        <?php foreach($field->options as $key => $values) : ?>

            <?php if(is_array($values)) : ?>
                <optgroup label="<?= $key ?>">
                    <?php foreach($values as $value => $label) : ?>
                        <?php $value_attr = $value; ?>
                        <option value="<?= $value_attr ?>">
                            <?= $label ?>
                        </option>
                    <?php endforeach ?>
                </optgroup>

            <?php else : ?>
                <?php $label = $values; ?>
                <?php $value_attr = $key; ?>
                <option value="<?= $value_attr ?>">
                    <?= $label ?>
                </option>
            <?php endif ?>

        <?php endforeach ?>
    </datalist>
</div>