<?php 
$field = $data['field'];

$args = array(
    'post_type' => 'attachment',
    'posts_per_page' => -1,
    'post_status' => 'any',
    'post_parent' => $data['post']->ID,
    'orderby' => 'date',
    'order' => 'ASC',
    'post_mime_type' => 'image',
);

$attachments = get_posts($args);

?>

<div class="mapi-images-field">
    <?php include YSD_MAPI_CUSTOM_FIELDS_COMPONENTS . '/label.php' ?>

    <?php
        if ( isset($attachments) && is_array($attachments) ) {
            if ( !empty($attachments) ) {
                foreach ( $attachments as $attachment ) {
                    if($attachment->post_excerpt == 'SOURCE_PROPERTY_FLOORPLAN'){
                        echo wp_get_attachment_image($attachment->ID);
                    }
                }
            } else {
                _e( 'Sorry, nothing found.', YSD_MAPI_TEXT_DOMAIN );
            }
        }
    ?>
</div>