<?php $field = $data['field']; ?>

<?php if ( ! empty( $field->optionsMin ) && ! empty( $field->optionsMax ) ) : ?>

<div class="mapi-default-field">
    <?php include YSD_MAPI_CUSTOM_FIELDS_COMPONENTS . '/label.php' ?>

    <select name="<?php echo $field->id; ?>[min]" id="<?php echo $field->id; ?>-min">
        <?php if ( ! empty( $field->emptyLabelMin ) ) : ?>
            <option value <?php echo !isset($_GET[$field->id]['min']) ? 'selected' : '' ?>><?php echo $field->emptyLabelMin; ?></option>
        <?php endif ?>

        <?php foreach($field->optionsMin as $key => $values) : ?>

            <?php if(is_array($values)) : ?>
                <optgroup label="<?php echo $key ?>">
                    <?php foreach($values as $value => $label) : ?>
                        <?php $value_attr = $value; ?>
                        <option <?php echo ( isset($_GET[$field->id]['min']) && $value_attr == $_GET[$field->id]['min'] ) ? 'selected' : '' ?> value="<?php echo $value_attr ?>">
                            <?php echo function_exists('getFormatOptionLabel') ? getFormatOptionLabel($field->id, $label) : ''; ?>
                        </option>
                    <?php endforeach ?>
                </optgroup>
            <?php else : ?>
                <?php $label = $values; ?>
                <?php $value_attr = $key; ?>
                <option <?php echo ( isset($_GET[$field->id]['min']) && $value_attr == $_GET[$field->id]['min'] ) ? 'selected' : '' ?> value="<?php echo $value_attr ?>">
                    <?php echo function_exists('getFormatOptionLabel') ? getFormatOptionLabel($field->id, $label) : ''; ?>
                </option>
            <?php endif ?>

        <?php endforeach ?>

    </select>

    <select name="<?php echo $field->id; ?>[max]" id="<?php echo $field->id; ?>-max">
        <?php if ( ! empty( $field->emptyLabelMax ) ) : ?>
            <option value <?php echo !isset($_GET[$field->id]['max']) ? 'selected' : '' ?>><?php echo $field->emptyLabelMax; ?></option>
        <?php endif ?>

        <?php foreach($field->optionsMax as $key => $values) : ?>

            <?php if(is_array($values)) : ?>
                <optgroup label="<?php echo $key ?>">
                    <?php foreach($values as $value => $label) : ?>
                        <?php $value_attr = $value; ?>
                        <option <?php echo ( isset($_GET[$field->id]['max']) && $value_attr == $_GET[$field->id]['max'] ) ? 'selected' : '' ?> value="<?php echo $value_attr ?>">
                            <?php echo function_exists('getFormatOptionLabel') ? getFormatOptionLabel($field->id, $label) : ''; ?>
                        </option>
                    <?php endforeach ?>
                </optgroup>
            <?php else : ?>
                <?php $label = $values; ?>
                <?php $value_attr = $key; ?>
                <option <?php echo ( isset($_GET[$field->id]['max']) && $value_attr == $_GET[$field->id]['max'] ) ? 'selected' : '' ?> value="<?php echo $value_attr ?>">
                    <?php echo function_exists('getFormatOptionLabel') ? getFormatOptionLabel($field->id, $label) : ''; ?>
                </option>
            <?php endif ?>

        <?php endforeach ?>

    </select>

</div>

<?php endif ?>