<?php $field = $data['field']; ?>

<?php if ( ! empty( $field->options ) ) : ?>

<div class="mapi-default-field">
    <?php include YSD_MAPI_CUSTOM_FIELDS_COMPONENTS . '/label.php' ?>

    <select name="<?php echo $field->id ?>" id="<?php echo $field->id ?>" <?= $field->attributesString ?>>
        <option hidden disabled value <?php echo !is_null($field->get_value()) ? 'selected' : '' ?>><?php echo ' '. __( '-- select an option --', YSD_MAPI_TEXT_DOMAIN ) .' '; ?></option>

        <?php foreach($field->options as $key => $values) : ?>

            <?php if(is_array($values)) : ?>
                <optgroup label="<?php echo $key ?>">
                    <?php foreach($values as $value => $label) : ?>
                        <?php $value_attr = $value; ?>
                        <option <?php echo $value_attr == $field->get_value() ? 'selected' : '' ?> value="<?php echo $value_attr ?>">
                            <?php echo $label ?>
                        </option>
                    <?php endforeach ?>
                </optgroup>
            <?php else : ?>
                <?php $label = $values; ?>
                <?php $value_attr = $key; ?>
                <option <?php echo $value_attr == $field->get_value() ? 'selected' : '' ?> value="<?php echo $value_attr ?>">
                    <?php echo $label ?>
                </option>
            <?php endif ?>

        <?php endforeach ?>

    </select>

</div>

<?php endif ?>