<?php
global $wp_roles;
$all_roles = $wp_roles->roles;
$field = $data['field'];
?>

<div class="mapi-default-field">
    <?php include YSD_MAPI_CUSTOM_FIELDS_COMPONENTS . '/label.php' ?>

    <select name="<?php echo $field->id ?>" id="<?php echo $field->id ?>">
        <option hidden disabled value <?php echo !is_null($field->get_value()) ? 'selected' : '' ?>> -- select an option -- </option>
        <?php foreach($all_roles as $role_id => $role_data) : ?>
            <?php
            $args = [
                'role' => $role_id,
                'orderby' => 'display_name',
                'order' => 'ASC',
            ];

            $users = get_users($args);
            ?>

            <?php if(!empty($users)) : ?>
                <optgroup label="<?php echo $role_data['name'] . 's' ?>">
                    <?php foreach($users as $user) : ?>
                        <?php $selected = $user->ID == $field->get_value() ? 'selected' : ''; ?>
                        <option <?php echo $selected ?> value="<?php echo $user->ID ?>">
                            <?php echo $user->display_name ?>
                        </option>
                    <?php endforeach ?>
                </optgroup>
            <?php endif ?>
            
        <?php endforeach ?>
    </select>
</div>