jQuery(document).ready(function ($) {

    const {
        submitClass,
    } = contactModalData;

    var modal = document.getElementById("pavModal");
    var button = document.getElementById("openModalPAV");
    var content = document.getElementById("pavModalContent");
    var modalOverlay = document.getElementById("pavModalOverlay");

    var span = document.getElementsByClassName("pav-close")[0];

    if (content) {
        var gravityFormSubmit = content.getElementsByClassName('gform_button')[0];
    }

    if (gravityFormSubmit != null && gravityFormSubmit != '') {
        if (submitClass != null && submitClass != '') {
            submitClass.forEach((elClass) => {
                gravityFormSubmit.classList.add(elClass);
            });
        }
    }

    if (button != null && button != '') {
        button.onclick = function () {
            modalOverlay.style.display = "block";
            modal.classList.add("active");
            setTimeout(activeContent, 300);
        }
    }

    if (span != null && span != '') {
        span.onclick = function () {
            modalOverlay.style.display = "none";
            modal.classList.remove("active");
            content.classList.remove("active");
        }
    }

    if (window != null && window != '') {
        window.onclick = function (event) {
            if (event.target == modal) {
                modal.classList.add("active");
                setTimeout(activeContent, 300);
            }
        }
    }

    var activeContent = function () {
        content.classList.add("active");
    };
});