jQuery(document).ready(function ($) {
    
    const printCurrentPage = document.getElementById("printCurrentPage");
    const socialBtn = document.getElementById("socialBtns");
    const socialBtnsDropdown = document.getElementById("socialBtnsDropdown");
    const favorite = document.getElementById("favorite");

    if(printCurrentPage){
        printCurrentPage.onclick = () => {
            print_page();
        }
    }
    if(socialBtnsDropdown){
        socialBtnsDropdown.onclick = () => {
            share_dropdown();
        }
    }
    if(favorite){
        favorite.onclick = () => {
            favorite_page();
        }
    }

    function print_page(){
        const win = window.open('', '', "toolbar=yes,scrollbars=yes,resizable=yes,top=0,left=0,width=1000,height=700");
        const content = document.getElementById("printPage");
        const url = urlpath.url;
        // const printCss = urlpath.css;

        win.document.write('<html><head>');
        win.document.write('<link rel="stylesheet" type="text/css" href="' + url +'/themes/yourstyle-plus/ysp-theme.css" />');
        win.document.write('<link rel="stylesheet" type="text/css" href="' + url +'/plugins/ysd-mapi/front/assets/dist/css/default-frontend.min.css" media="all" />');
        win.document.write('<link rel="stylesheet" type="text/css" href="' + url +'/plugins/ysd-mapi/front/assets/dist/css/property-single.min.css" media="all" />');
        // win.document.write(printCss);
        win.document.write('</head><body class="property-template-default single single-property">');

        win.document.write(content.innerHTML);

        win.document.write('<script type="text/javascript">addEventListener("load", () => { print(); close(); })</script></body></html>');
        win.focus();
        win.print();
    }

    function share_dropdown(){
        if(socialBtn.style.display == 'none'){
            socialBtn.style.display = 'block';
        }else{
            socialBtn.style.display = 'none'
        }
    }

    function favorite_page(){
        if(favorite.classList.contains('property-gallery__button--unlike')){
            favorite.classList.remove('property-gallery__button--unlike');
            favorite.classList.add('property-gallery__button--like');
        }else{
            favorite.classList.remove('property-gallery__button--like');
            favorite.classList.add('property-gallery__button--unlike');
        }
    }

});