<?php
/**
 * Property Format - Streetname
 */
if ( ! function_exists( 'getPropertyStreetName' ) ) {

    function getPropertyStreetName( $property ) {
        
        $street_name = $property->address_1;

        $data['label'] = __( 'Street name', YSD_MAPI_TEXT_DOMAIN );
        $data['value'] = $street_name;
        
        return $data;

    }
}

/**
 * Property Format - Housenumber
 */
if (! function_exists( 'getPropertyHouseNumber' ) ) {
    function getPropertyHouseNumber( $property ) {
        
        $type = $property->house_number;

        $data['label'] = __( 'House number', YSD_MAPI_TEXT_DOMAIN );
        $data['value'] = $type;
        
        return $data;

    }
}

/**
 * Property Format - Zipcode
 */
if (! function_exists( 'getPropertyZipcode' ) ) {
    function getPropertyZipcode( $property ) {
        
        $type = $property->zipcode;

        $data['label'] = __( 'Zipcode', YSD_MAPI_TEXT_DOMAIN );
        $data['value'] = $type;
        
        return $data;

    }
}

/**
 * Property Format - City
 */
if(! function_exists( 'getPropertyCity' ))
{
    function getPropertyCity( $property ) {
        
        $type = $property->city;

        $data['label'] = __( 'City', YSD_MAPI_TEXT_DOMAIN );
        $data['value'] = $type;
        
        return $data;

    }
}