<?php

/**
 * Property Format - Garage Type
 */
if ( ! function_exists( 'getPropertyGarageType' ) ) {

    function getPropertyGarageType( $property ) {
        
        if ( ! function_exists( 'getFormattedValue' ) ) {
            return;
        }
        
        $garage_type = getFormattedValue( 'GarageType', $property->garage_type );

        $data['label'] = __( 'Type', YSD_MAPI_TEXT_DOMAIN );
        $data['value'] = $garage_type;
        
        return $data;

    }
}

/**
 * Property Format - Garage Capacity
 */
if ( ! function_exists( 'getPropertyGarageCapacity' ) ) {

    function getPropertyGarageCapacity( $property ) {
        
        $garage_capacity = $property->garage_capacity;

        $data['label'] = __( 'Capacity', YSD_MAPI_TEXT_DOMAIN );
        $data['value'] = $garage_capacity;
        
        return $data;

    }
}

/**
 * Property Format - Garage Area
 */
if ( ! function_exists( 'getPropertyGarageArea' ) ) {

    function getPropertyGarageArea( $property ) {
        
        $garage_area = $property->garage_area;

        $data['label'] = __( 'Area', YSD_MAPI_TEXT_DOMAIN );
        $data['value'] = $garage_area;
        
        return $data;

    }
}