<?php

if ( ! class_exists( 'Mapi_Property_Posts_Per_page' ) ) {

    class Mapi_Property_Posts_Per_page {

        public function __construct() {
            $this->property_posts_per_page();
        }

        /*
         * Property Posts Per Page
         */
        public function property_posts_per_page() {

            if ( true != get_option( 'ysd-mapi_archive_num_of_posts_selector', true) ) {
                return;
            }
            $select = '';
            $ppp_def = get_option( 'ysd-mapi_archive_properties_per_page', 10 );
            $get_ppp  = (isset($_GET['posts_per_page'])) ? $_GET['posts_per_page'] : $ppp_def;
            $select   = mapi_posts_per_page( null, false );

            if (!empty($select)) {
            ?>
            <select form="mapiFilterForm" name="posts_per_page" class="stylized-auto-width filter-settings__select">
                <?php
                foreach ($select as $option) {
                    ?>
                    <option <?php echo isset($get_ppp) && $get_ppp == $option ? 'selected' : '' ?> data-text="<?php printf( __( 'Display %d results', YSD_MAPI_TEXT_DOMAIN ), $option ); ?>" value="<?php echo $option; ?>" <?php echo selected( $get_ppp, $option, false ); ?>>
                        <?php printf( __( 'Display %d results', YSD_MAPI_TEXT_DOMAIN ), $option ); ?>
                    </option>
                    <?php
                }
                ?>
            </select>
            <?php
            }

        }

    }

}