<?php

if ( ! class_exists( 'YSD_Mapi_Property_Status_Shortcode' ) ) {

    class YSD_Mapi_Property_Status_Shortcode {

        public function __construct() {
            add_shortcode( 'mapi_property_status', array( $this, 'mapi_property_status_shortcode' ) );
        }
        
        /*
        * Property Status
        */
        public static function mapi_property_status_shortcode($atts) {
            $options = shortcode_atts(
                array(
                    'class'         => '',
                ),
                $atts
            );

            $output = '';
            
            // Post
            $post_id = get_queried_object_id();
            $property = get_post( $post_id );

            // Status
            $sale_status = getPropertySaleStatus( $property, true );
            if ( empty($sale_status) ) {
                return;
            }

            $status = !empty($sale_status) ? $sale_status['value'] : '';

            // Output
            $output = sprintf(
                '<section class="property-section property-status">%s</section>',
                $status,
            );

            $templatera = get_option( 'ysd-mapi_single_template_hooks' );
            if ( 'disabled' != $templatera ) {
                echo $output;
            } else {
                return $output;
            }

        }

    }

}
new YSD_Mapi_Property_Status_Shortcode();