<?php 
$field = $data['field']; 

$attachments_args = array(
    'post_parent' => $data['post']->ID,
    'post_type' => 'attachment',
    'numberposts' => -1, // show all
    'post_status' => 'any',
    'orderby' => 'date',
    'order' => 'ASC',
    'post_mime_type' => 'video',
);
$disabled = '';
$videos = get_posts( $attachments_args );
if ( ! empty( $videos ) ) {
    if ( count($videos) >= 1 ) {
        $disabled = 'disabled';
    } else {
        $disabled = '';
    }
}else{
    $disabled = '';
}
?>

<div class="mapi-video-url-field mapi-default-field">
    <?php include YSD_MAPI_CUSTOM_FIELDS_COMPONENTS . '/label.php' ?>
    <input id="<?= $field->id ?>" type="text" value="<?= esc_attr($field->get_value()); ?>" name="<?= $field->id ?>" <?= $disabled ?>>
    <?php 
        if($disabled == 'disabled'){ ?>
            <span style="grid-column: 2;"><?php _e( 'You have already a video.', YSD_MAPI_TEXT_DOMAIN ); ?></span> 
        <?php } ?>
</div>