<?php 
$field = $data['field'];

$args = array(
    'post_type' => 'attachment',
    'posts_per_page' => -1,
    'post_status' => 'any',
    'post_parent' => $data['post']->ID,
    'orderby' => 'date',
    'order' => 'ASC',
    'post_mime_type' => 'video',
);

$attachments = get_posts($args);

?>

<div class="mapi-videos-field">
    <?php include YSD_MAPI_CUSTOM_FIELDS_COMPONENTS . '/label.php' ?>

    <?php
        if ( isset($attachments) && is_array($attachments) ) {
            if ( !empty($attachments) ) {
                foreach ( $attachments as $attachment ) {
                    if($attachment->post_excerpt == 'SOURCE_PROPERTY_VIDEO'){
                        echo do_shortcode('[video src="'. $attachment->guid .'" width="150" height="150"]');
                    }
                }
            } else {
                _e( 'Sorry, nothing found.', YSD_MAPI_TEXT_DOMAIN );
            }
        }
        
    ?>
    <div class="mapi-media-button" style="float: right;"><?php media_buttons(); ?></div>
</div>
